Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1320599 - glibc: NULL pointer dereference in stub resolver with unconnectable name server addresses
glibc: NULL pointer dereference in stub resolver with unconnectable name serv...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: glibc team
qe-baseos-tools
: Patch
Depends On: 1316972
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-23 11:27 EDT by Florian Weimer
Modified: 2017-11-08 05:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1316972
Environment:
Last Closed: 2017-11-08 05:16:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 19791 None None None 2016-03-23 11:27 EDT
Sourceware 19825 None None None 2016-03-23 11:27 EDT
Sourceware 19830 None None None 2016-03-23 11:27 EDT
Sourceware 19831 None None None 2016-03-23 11:27 EDT

  None (edit)
Description Florian Weimer 2016-03-23 11:27:42 EDT
+++ This bug was initially created as a clone of Bug #1316972 +++

If /etc/resolv.conf contains addresses which cause the connect system call to fail immediately, queries which trigger search along the search path result in a segmentation fault.

A workaround is to remove the problematic addresses from /etc/resolv.conf.

--- Additional comment from Florian Weimer on 2016-03-23 16:22:08 CET ---

swbz#19825 is a very similar bug in send_vc/TCP (the original bug is about send_dg/UDP), so far only observed under valgrind.

swbz#19831 and swbz#19830 should be backported as well, to get cleaner test suite runs.
Comment 3 Carlos O'Donell 2016-10-25 08:28:04 EDT
This bug did not make the rhel-6.9 release but will be reconsidered for rhel-6.10.
Comment 7 Florian Weimer 2017-11-08 05:16:13 EST
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10,
2017.  During the Production 3 Phase, Critical impact Security Advisories
(RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released
as they become available.

This issue does not qualify, but it was addressed in Red Hat Enterprise Linux 7 as bug 1320596.
Comment 8 Red Hat Bugzilla Rules Engine 2017-11-08 05:16:18 EST
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.